Page MenuHomePhabricator

Don't require nullability on 'va_list'.
ClosedPublic

Authored by jordan_rose on Nov 1 2016, 6:30 PM.

Details

Summary

There are many non-portable typedefs, but va_list is one that nobody ever thinks of as a pointer or an array. (When's the last time you saw someone check for a NULL va_list?) Make an exception for this one special type.

(Is this the best way to do this?)

Part of rdar://problem/25846421. Depends on D26226 and D25850.

Diff Detail

Repository
rL LLVM

Event Timeline

jordan_rose updated this revision to Diff 76664.Nov 1 2016, 6:30 PM
jordan_rose retitled this revision from to Don't require nullability on 'va_list'..
jordan_rose updated this object.
jordan_rose added reviewers: doug.gregor, rsmith.
jordan_rose set the repository for this revision to rL LLVM.
jordan_rose added a subscriber: cfe-commits.

Depends on D26108 too (for the tests to apply cleanly).

doug.gregor accepted this revision.Nov 9 2016, 1:17 PM
doug.gregor edited edge metadata.

I don't see a better way to do this. Nice meta programming hack.

This revision is now accepted and ready to land.Nov 9 2016, 1:17 PM
jordan_rose closed this revision.Nov 10 2016, 4:50 PM

Committed in rL286522, with a fix-up to make the check for va_lists more conservative in rL286531.

One more fix-up in rL286542. Hopefully the last one.